@echo off
CLS
color 1f
TITLE Checking for Admin...
echo.
cd %systemroot%\system32
call :IsAdmin

:StartScript
TITLE Remove Theme Settings C/Text Menu Entries
cls
color 1f
echo.
SET /p "AllowYN=Do you wish to remove the Theme Settings Context Menu Entries ? {Y/N} "
echo.
IF /I "%AllowYN%" NEQ "Y" echo No changes made. & echo. & GOTO :Done

echo Updating registry...

REG delete "HKCR\DesktopBackground\Shell\Appearance" /f >nul 2>&1
REG delete "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\CommandStore\shell\Colors" /f >nul 2>&1
REG delete "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\CommandStore\shell\DesktopIcons" /f >nul 2>&1
REG delete "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\CommandStore\shell\Personalization" /f >nul 2>&1
REG delete "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\CommandStore\shell\Screensaver" /f >nul 2>&1
REG delete "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\CommandStore\shell\Sound" /f >nul 2>&1
REG delete "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Explorer\CommandStore\shell\Background" /f >nul 2>&1

:DoneScript
echo.
echo Completed.

:Done
echo.
Pause
exit

=====================================================================================
:IsAdmin
Reg query "HKU\S-1-5-19\Environment"
If Not %ERRORLEVEL% EQU 0 (
 Cls & echo. & Echo You must have administrator rights to continue ... & echo.
 Pause & Exit
)
Cls

exit /b
